> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 代付申请

> 代付申请接口文档，提供 POST /twd/pay/apply 的请求与响应定义。

> [!NOTE]
>
> 本页所有示例请求均基于**沙盒（测试）环境**，请注意区分正式环境。

#### 密钥私钥(生成签名)

## 相关主题

* [台湾支付接口](https://doc.haipay.net/docs/zh/V20260701/api/version2/Taiwan.md)
* [HaiPay API 文档简介](https://doc.haipay.net/docs/zh/api-reference/overview.md)
* [HaiPay 配置与签名指南](https://doc.haipay.net/docs/zh/guide/config_settings_and_signature_rules_guide.md)


## OpenAPI

````yaml docs/zh/V20260701/api-reference/twd/twd.openapi.json POST /twd/pay/apply
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /twd/pay/apply:
    post:
      tags: []
      summary: 新台币代付申请
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号(必须保证唯一性，长度不超过48)
                  maxLength: 48
                amount:
                  type: string
                  description: 交易金额(单位：NT$） 范围:1000–30000
                accountType:
                  type: string
                  description: 账户类型： BANK_ACCOUNT
                  enum:
                    - BANK_ACCOUNT
                bankCode:
                  type: string
                  description: 银行代码
                accountNo:
                  type: string
                  description: 用户银行账号
                name:
                  type: string
                  description: 收款人姓名(支持繁体中文或英文)
                  minLength: 1
                  maxLength: 30
                  pattern: ^[A-Za-z\s\u4e00-\u9fff]+$
                phone:
                  type: string
                  description: 真实手机号
                email:
                  type: string
                  description: 真实电子邮件
                  format: email
                notifyUrl:
                  type: string
                  description: 回调地址
                  format: uri
                subject:
                  type: string
                  description: 支付备注（交易标题，商品名称，支付原因）
                body:
                  type: string
                  description: 备注详情
                partnerUserId:
                  type: string
                  description: >-
                    用户唯一标识（如用户ID userId），用于风控系统，必须真实有效，否则会影响交易。
                    格式要求：数字、大小写字母或常用符号-~!@#$%&*()_。
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - amount
                - accountType
                - bankCode
                - accountNo
                - name
                - phone
                - email
                - partnerUserId
                - sign
              additionalProperties: false
            examples:
              bank_transfer:
                summary: 银行账户转账
                value:
                  appId: 1054
                  orderId: M233323000059
                  amount: '1000'
                  accountType: BANK_ACCOUNT
                  bankCode: '004'
                  accountNo: '012345678901'
                  name: 王小明
                  phone: '0912345678'
                  email: wang.xiaoming@example.com
                  notifyUrl: https://shop.merchant.com/payment/notify
                  subject: 商品付款
                  body: 订单详情
                  partnerUserId: USER_830127
                  sign: >-
                    af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 提示信息
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: true
                additionalProperties: true
              examples:
                success:
                  summary: 成功
                  value:
                    status: '1'
                    error: '00000000'
                    msg: success
                    data:
                      orderId: M1000245001F4
                      orderNo: '3023022014149638'
                      sign: >-
                        af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
                param_error:
                  summary: 参数校验失败
                  value:
                    status: '0'
                    error: '1001'
                    msg: orderId can not blank
                    data: null
                sign_error:
                  summary: 签名错误
                  value:
                    status: '0'
                    error: '1002'
                    msg: Invalid request signature
                    data: null
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.